---
title: List run events
url: https://www.tines.com/docs/api/stories/story-run/list-run-events/
updated: 2025-10-14T15:24:48+00:00
description: Retrieve a list of events for a story run.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Story runs](https://www.tines.com/llm/docs/api/stories/story-run.md)*

# List run events

*[View on tines.com](https://www.tines.com/docs/api/stories/story-run/list-run-events/)*

## Description

Retrieve a list of events for a story run.

## Request

HTTP Method: **GET**

| Path Parameter | Description                |
| -------------- | -------------------------- |
| story_id       | The ID of the story.       |
| story_run_guid | The guid of the story run. |

| Query Parameter | Description                                                                                                                        |
| --------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| story_mode      | **Optional** The mode of the story.                                                                                                |
| per_page        | **Optional** Set the number of results returned per page.                                                                          |
| page            | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1.                                |
| draft_id        | **Optional** Return events for a specific draft. [About drafts](https://www.tines.com/docs/stories/change-control/#api-endpoints). |

```bash
curl -X GET \
 https://<tenant-domain>/api/v1/stories/<<story_id>>/runs/<<story_run_guid>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return the JSON Array describing the events for a story run.

### Field description

| Parameter    | Description                                                          |
| ------------ | -------------------------------------------------------------------- |
| id           | ID of the event.                                                     |
| action_id    | ID of action that emitted the event.                                 |
| created_at   | ISO 8601 Timestamp representing date and time the event was emitted. |
| is_reemitted | Boolean flag indicating whether this event has been re-emitted.      |

<!-- cspell:disable -->

### Sample response

```json
{
  "story_run_events": [
    {
      "id": 1126,
      "action_id": 3775,
      "created_at": "2023-12-13T16:19:50Z",
      "is_reemitted": false
    },
    {
      "id": 1131,
      "action_id": 3809,
      "created_at": "2023-12-13T16:19:50Z",
      "is_reemitted": false
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/stories/<<story_id>>/runs/<<story_run_guid>>?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 2
  }
}
```

<!-- cspell:enable -->
